Skip to content

Tasks

All operations require authentication.

2 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

List tasksProduction

GET
/1.0/ipLoadbalancing/{serviceName}/task

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Query parameters

action
TaskActionEnum

Filter the value of action property (=)

ValuesdeleteIplbdeployIplbinstallinstallIplbinstallZoneorderFreeCertificateorderPaidCertificateorderSslrefreshIplbreleaseIplbreleaseIplbZonereopenIplbsuspendIplbsuspendZoneswitchToIplbNextGenerationApivrackAttachvrackDetach
creationDate.from
stringdate-time

Filter the value of creationDate property (>=)

creationDate.to
stringdate-time

Filter the value of creationDate property (<=)

doneDate.from
stringdate-time

Filter the value of doneDate property (>=)

doneDate.to
stringdate-time

Filter the value of doneDate property (<=)

status
TaskStatusEnum

Filter the value of status property (=)

Valuesblockedcancelleddoingdoneerrortodo

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a taskProduction

GET
/1.0/ipLoadbalancing/{serviceName}/task/{id}

Path parameters

id
required
integer

Id of the operation

serviceName
required
string

The internal name of your IP load balancing

Response

200Tasksuccessful operation
action
read-only
TaskActionEnum

Operation type

ValuesdeleteIplbdeployIplbinstallinstallIplbinstallZoneorderFreeCertificateorderPaidCertificateorderSslrefreshIplbreleaseIplbreleaseIplbZonereopenIplbsuspendIplbsuspendZoneswitchToIplbNextGenerationApivrackAttachvrackDetach
creationDate
read-only
stringdate-time

Creation date of your operation

doneDate
read-only
stringdate-time

Done date of your operation

id
read-only
integer

Id of the operation

progress
read-only
integer

Operation progress percentage

status
read-only
TaskStatusEnum

Current status of your operation

Valuesblockedcancelleddoingdoneerrortodo
zones
read-only
string[]

Zone of your Load Balancer which are updated by current Task

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/task/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "deleteIplb", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "status": "blocked", "zones": [ "string" ]}